import { getProjectMap } from '@/api/base'

// 赛项信息
interface ProjectType {
  id: number
  name: string
}
interface ProjectStatus {
  id: number
  name: string
}

const projectTypeMap = ref<ProjectType[]>([])
const projectStatusMap = ref<ProjectStatus[]>([])
export function useGetProjectMap() {
  getProjectMap().then((res: any) => {
    projectTypeMap.value = res.data.project_type_map.map((item: any) => {
      item.id = item.id + ''
      return item
    })
    projectStatusMap.value = res.data.project_status_map.map((item: any) => {
      item.id = item.id + ''
      return item
    })
  })
  return { projectTypeMap, projectStatusMap }
}
